/* Ändert Farbe der Textauswahl*/
::selection{
	background: rgba(255, 0, 0, 0.3);
	color: white;
}
/* Zeigt Keine Scrollbar */
::-webkit-scrollbar{
	display: none;
}

/*Base*/

p{
	z-index: 1;
}

#wrapper{
	max-width: 1370px;
	margin-right: auto;
	margin-left: auto;
	font-size: 18px;
	font-family: 'Roboto', sans-serif;
	z-index: 1;
}

html{
	scroll-behavior: smooth;
	/* Zeigt Keine Scrollbar */
	scrollbar-width: none;
}

body {
	max-width: 100wh;
	max-height: auto;
	color: rgb(30, 30, 30);
	background: rgb(255, 255, 255);
	background-size: 400% 400%;
	overflow: auto;
}

section{
	width: 100%;
	float: center;
	padding: 15px;
	margin-right: 15px;
	background-color:#F2F2F2, 0.0;
	border-radius: 5px;
}

footer{
    background-color: white;
    padding: 0.1px 8px 0.1px 8px;
	max-width: 100%;
	border-top-left-radius: 2px;
	border-top-right-radius: 2px;
	border-bottom-left-radius: 10px;
	border-bottom-right-radius: 10px;
	margin-left: 10px;
	margin-right: 10px;
	margin-bottom: 20px;
	-webkit-box-shadow: 0px 10px 20px 0px rgba(156,156,156,1);
	-moz-box-shadow: 0px 10px 20px 0px rgba(156,156,156,1);
    box-shadow: 0px 10px 20px 0px rgba(156,156,156,1);
}

footer a{
    color: rgb(45, 45, 45);
}

.anchor{
	display: inline-block;
	color: white;
	text-decoration: none;
	z-index: 1;
	transition: all 0.3s;
}

.anchor:hover{
	color: rgb(0, 135, 255);
}

.fab{
    padding: 20px 20px 12px 20px;
    background-color: rgb(255, 187, 0);
    border: none;
    color: white;
    border-radius: 100%;
    z-index: 70;
    position: fixed;
    bottom: 20px;
    right: 30px;
    transition: all 0.1s;
}

.fab:hover{
    color: white;
}

.edit-fab{
	padding: 20px 20px 12px 20px;
    background-color: rgb(255, 30, 0);
    border: none;
    color: white;
    border-radius: 100%;
    z-index: 70;
    position: fixed;
    bottom: 20px;
    right: 120px;
    transition: all 0.1s;
}

.edit-fab:hover{
    color: white;
}

.add-fab{
	padding: 20px 20px 12px 20px;
    background-color: rgb(255, 30, 0);
    border: none;
    color: white;
    border-radius: 100%;
    z-index: 70;
    position: fixed;
    bottom: 20px;
    right: 120px;
    transition: all 0.1s;
}

.add-fab:hover{
    color: white;
}

.sub-add-buttons{
	visibility: hidden;
	width: 16px;
	opacity: 0.0;
	bottom: 20px;
	right: 168px;
	position: fixed;
	z-index: 70;
	transition: all 0.5s;
}

.sub-add-buttons a{
	padding: 15px 15px 15px 15px;
	background-color: rgb(0, 119, 255);
	border: none;
	color: white;
	border-radius: 100%;
	margin: 3px;
}

.add-fab:focus + .sub-add-buttons{
	visibility: visible;
	bottom: 90px;
	opacity: 1.0;
}

.add-fab:focus{
	transform: rotate(45deg);
}

.sub-add-buttons a:nth-child(1) {background-color: #03a9f4;}
.sub-add-buttons a:nth-child(2) {background-color: #ff5722;}
.sub-add-buttons a:nth-child(3) {background-color: #f44336;}
.sub-add-buttons a:nth-child(4) {background-color: #4CAF50;}

/*.sub-edit-buttons:hover{
	visibility: visible;
	bottom: 90px;
	opacity: 1.0;
}

.sub-edit-buttons a:hover{
	visibility: visible;
	bottom: 90px;
	opacity: 1.0;
}*/

/* Tooltips */

.tooltip {
	position: relative;
	display: inline-block;
}
  
.tooltip .tooltiptext {
	visibility: hidden;
	width: 120px;
	background-color: rgba(255, 255, 255, 0.75);
	color: black;
	text-align: center;
	border-radius: 6px;
	padding: 5px 0;
	z-index: 1;
	opacity: 0.0;
	transform: scale(0.0);
	transition: all 0.3s;
}

.tooltip .tooltiptext-black {
	visibility: hidden;
	width: 120px;
	background-color: rgba(0, 0, 0, 0.5);
	color: white;
	text-align: center;
	border-radius: 6px;
	padding: 5px 0;
	z-index: 1;
	opacity: 0.0;
	transform: scale(0.0);
	transition: all 0.3s;
}

.tooltip:hover .tooltiptext {
	visibility: visible;
	transform: scale(1.0);
	opacity: 1.0;
}

.tooltip:hover .tooltiptext-black {
	visibility: visible;
	transform: scale(1.0);
	opacity: 1.0;
}

.tooltip-right{
	position: absolute;
  	top: -5px;
  	left: 105%;
}

.tooltip-left{
	position: absolute;
  	top: -5px;
  	right: 105%;
}

.tooltip-top{
	position: absolute;
	bottom: 100%;
	left: 50%;
	margin-left: -60px;
}

.tooltip-bottom{
	position: absolute;
	top: 100%;
	left: 50%;
	margin-left: -60px;
}

/* Tooltips */

img{
	width: 100%;
}

mid{
	vertical-align: middle;
}

titel-right{
	padding-right: 10px;
}

.newest{
	padding-left: 50px;
}

/*header*/

.header{
	background-color: white;
	max-width: 100%;
	border-top-left-radius: 8px;
	border-top-right-radius: 8px;
	border-bottom-left-radius: 2px;
	border-bottom-right-radius: 2px;
	-webkit-box-shadow: 0px 10px 20px 0px rgba(156,156,156,1);
	-moz-box-shadow: 0px 10px 20px 0px rgba(156,156,156,1);
	box-shadow: 0px 10px 20px 0px rgba(156,156,156,1);
	margin-left: 10px;
	margin-right: 10px;
}

nav ul{
	list-style-type: none;
	color: White;
}

nav li{
	display: inline;
	margin-right: 40px;
	color: White;
}

ul {
	max-width: 100%;
	width: auto;
	background: None;
	margin: 0;
	padding: 0;
}

ul li {
	display: inline-block;
	margin: 0;
	padding: 0;
}

nav ul li a{
	font-family: Arial, Helvetica, sans-serif;
	position: relative;
	display: block;
	color: #aaa;
	Padding: 10px 25px 10px 25px;
	text-decoration: none;
	font-weight: bold;
	z-index: 1;
	transition: all 0.5s;
}

ul li a::before {
	content: " ";
	position: absolute;
	bottom: 0;
	margin: auto;
    left: 0;
    right: 0;
	width: 0%;
	height: 1px;
	background-color: #555;
	opacity: 1.0;
	transition: all 0.5s;
	-webkit-transition: all 0.5s;
	-moz-transition: all 0.5s;
	z-index: -1;
}

ul li a:hover::before {
	height: 1px;
	width: 100%;
}

nav ul li a:hover {
	color: #555;
}

/*Base End*/

/*Stroke*/

.stroke{
	font-family: Arial, Helvetica, sans-serif;
	position: relative;
	display: block;
	color: #aaa;
	Padding: 25px 25px 20px 25px;
	text-decoration: none;
	font-weight: bold;
	z-index: 1;
	transition: all 0.5s;
}

.stroke::before{
	content: " ";
	position: absolute;
	bottom: 0;
	margin: auto;
    left: 0;
    right: 0;
	width: 0%;
	height: 1px;
	background-color: #555;
	opacity: 1.0;
	transition: all 0.5s;
	-webkit-transition: all 0.5s;
	-moz-transition: all 0.5s;
	z-index: -1;
}

.stroke:hover::before{
	height: 1px;
	width: 100%;
}

.stroke:hover{
	color: #555;
}

/*Align*/

.center2{
	display: block;
	margin-left: auto;
	margin-right: auto;
	width: 50%;
}

.center{
	display: block;
	margin-left: auto;
	margin-right: auto;
}

.right{
	text-align: right;
}

.left{
	text-align: left;
}

/*Design*/

.fixed{
	position: fixed;
}

.üs1{
	text-align:center;
	font-size:30px;
	margin-bottom:25px;
	margin-top:25px;
}

.üs2{
	margin-left:auto;
	margin-right:auto;
	margin-top:25px;
	margin-bottom:20px;
	font-size:26px;
}

.üs3{
	margin-left:auto;
	margin-right:auto;
	margin-top:20px;
	margin-bottom:15px;
	font-size:21px;
}

.erklaerung{
	display:table;
	clear:both;
}

.bildbox{
	display: block;
	position: relative;
	left:0;
	right:0;
	top:0;
	bottom:0;
	float: left;
	max-width:325px;
	margin-right:5px;
	margin-bottom: 15px;
	transition: all 0.4s;
}

.bildbox-action{
	display: block;
	position: relative;
	left:0;
	right:0;
	top:0;
	bottom:0;
	float: left;
	max-width:325px;
	margin-right:5px;
	margin-bottom: 15px;
	transition: all 0.4s;
}

.bildbox img{
	border-radius:6px;
	margin: 0px;
}

.beschreibung{
	position: absolute;
	bottom: 0;
	left: 0;
	right: 0;
	background-color: #fff;
	color: #000000;
	overflow: hidden;
	width: 100%;
	max-height: 0%;
	padding: 10px;
	scrollbar-width: none;
	border-radius: 6px;
	transition: all 1.0s;
}

.beschreibung::-webkit-scrollbar{
	display: none;
}

.beschreibung::selection{
	background-color: #03a8f47e;
}

.bildbox:hover .beschreibung{
	max-height: 85%;
	scrollbar-width: none;
	overflow: scroll;
}

.bildbox-action:active {
	transform: scale(0.975);
}

.bild-text{
	position:absolute;
	left:0;
	top:0;
	margin: 5px;
}

.font-size-40px{
	font-size: 40px;
}

.news_edit{
	margin-left: auto;
	margin-right: auto;
	border: 1px white solid;
	padding: 5px;
	color: white;
	resize: none;
	height: 450px;
	transition: all 0.3s;
	width: 100%;
}

.news_edit:focus{
	border-radius: 10px;
}

.version{
	margin-left: auto;
	margin-right: auto;
	margin-top: 15px;
	border: 1px white solid;
	padding: 5px;
	color: white;
	background: transparent;
	transition: all 0.3s;
	width: 100%;
}

.version:focus{
	border-radius: 10px;
}

.error{
	color: red;
	background-color: white;
	padding: 10px;
	border-radius: 10px;
	width: 100%;
	text-align: center;
	-webkit-box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.5);
    -moz-box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.5);
    box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.5);
}

.error::selection{
	background: rgba(255, 0, 0, 0.75);
	color: rgb(255, 255, 255);
}

.granted{
	color: green;
	background-color: white;
	padding: 10px;
	border-radius: 10px;
	width: 100%;
	text-align: center;
	-webkit-box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.5);
    -moz-box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.5);
    box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.5);
}

.granted::selection{
	background: rgba(16, 189, 0, 0.75);
	color: rgb(255, 255, 255);
}

.warning{
	color: rgba(255, 179, 0);
	background-color: white;
	padding: 10px;
	border-radius: 10px;
	width: 100%;
	text-align: center;
	-webkit-box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.5);
    -moz-box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.5);
    box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.5);
}

.warning::selection {
	background: rgba(255, 179, 0.75);
	color: rgb(255, 255, 255);
}

.überschrift_001{
	font-size: 30px;
}

.disabled{
	cursor: not-allowed;
}

.disabled:hover{
	cursor: not-allowed;
}

.kategorie{
	background: white;
	border-left: black 5px solid;
	padding: 20px;
	color: black;
	width: auto;
	border-radius: 10px;
}

.sprechblase7 {
	position: relative;
	padding: 15px;
	border: 4px solid rgb(0, 135, 255);
	margin-top: 10px;
	margin-bottom: 40px;
	margin-left: 5px;
	margin-right: 5px;
	-webkit-border-radius: 20px;
	-moz-border-radius: 20px;
	border-radius: 20px;
	background: #fff;
	color: black;
}

.sprechblase7::selection{
	color: white;
	background:	rgb(0, 135, 255);
}
	
.sprechblase7:before {
	content: ' ';
	position: absolute;
	width: 0;
	height: 0;
	left: 30px;
	top: 100%;
	border: 20px solid;
	border-color: rgb(0, 135, 255) transparent transparent rgb(0, 135, 255);
}
	
.sprechblase7:after {
	content: ' ';
	position: absolute;
	width: 0;
	height: 0;
	left: 34px;
	top: 100%;
	border: 15px solid;
	border-color: #ffffff transparent transparent #ffffff;
}

.fett{
	font-weight: bold;
}

/*Forms*/

input[type="submit"],
input[type="button"]{
	border: none;
  	border-radius: 2px;
  	display: inline-block;
  	height: 36px;
  	line-height: 36px;
  	padding: 0 16px;
  	vertical-align: middle;
	cursor: pointer;
}

/*IMG Viewer*/

.JesterBox div {
	visibility: hidden;
	position: fixed;
	top: 5%;
	right: 5%;
	bottom: 5%;
	left: 5%;
	z-index: 75;
	text-align: center;
	display: flex;
	justify-content: center;
	align-items: center;
}

.JesterBox:hover {
	cursor: zoom-out;
}
  
.JesterBox div:before {
	content: '';
	position: fixed;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	z-index: 74;
	background-color: rgba(0, 0, 0, 0);
	transition: all 0.5s ease-out;
}
  
.JesterBox div img {
	position: relative;
	z-index: 100;
	height: auto;
	width: 0%;
	padding: auto;
	margin-left: 0px;
	opacity: 0;
	transition-property: all, opacity;
	transition-duration: 0.5s, 0.2s;
	transition-timing-function: ease-in-out, ease-out;
	transform: scale(0.0);
}
  
.JesterBox div:target { visibility: visible; }
  
.JesterBox div:target:before { background-color: rgba(0, 0, 0, 0.7);}
  
.JesterBox div:target img {
	margin-left: 0px;
	opacity: 1;
	transform: scale(1.0);
	width: 100%;
}

.view_trigger{
	width: 100% !important;
	transition: all 0.5s;
}

.view_trigger:hover{
	width: 100% !important;
	cursor: zoom-in;
	opacity: 0.9;
}

/*IMG Viewer*/

/*Collapsible*/

.collapsible {
	background-color: transparent;
	color: black;
	cursor: pointer;
	width: 100%;
	border: none;
	text-align: left;
	outline: none;
	box-shadow: none;
}
  
.active-coll, .collapsible:hover {
	background-color: transparent;
}
  
  .collapsible:after {
	color: black;
	font-weight: bold;
	float: right;
	margin-left: 5px;
}
  
.content {
	padding: 0 18px;
	max-height: 0;
	overflow: hidden;
	transition: max-height 0.2s ease-out;
	background-color: transparent;
}

.coll-conatiner{
	background-color: white;
    padding-top: 0.5cm;
    padding-bottom: 0.5cm;
    padding-left: 50px;
    padding-right: 50px;
    border-radius: 50px;
    max-width: auto;
    max-height: auto;
    margin-top: 1cm;
    margin-left: auto;
    margin-right: auto;
    -webkit-box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.5);
    -moz-box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.5);
    box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.5);
}

/*Collapsible*/

/* Admin */

.userprofile{
	margin-top: 10px;
	margin-bottom: 10px;
	color: black;
	padding: 8px;
}

.userprofile img{
	position: relative;
	float: right;
	height: 100px;
	max-width: 100px;
}

.userprofile a{
	color: black;
}

/* Admin */

/* Forum */

.user {
	float: right;
	color: rgb(133, 133, 133);
}

.kategorie1 {
	float: left;
	color: rgb(133, 133, 133);
}

.commentar img {
	float: left;
	height: 49px;
	width: auto;
	margin-right: 20px;
	border: 1px solid black;
	border-radius: 5px;
}

.commentar {
	max-width: 1370px;
	border: 2px solid #dedede;
	background-color: #f1f1f1;
	border-radius: 5px;
	padding: 10px;
	margin: 10px 0;
	color: #555;
}  

.commentar::after {
	content: "";
	clear: both;
	display: table;
}

.answer img {
	float: left;
	height: 49px;
	width: auto;
	margin-right: 20px;
	border: 1px solid black;
	border-radius: 5px;
}

.answer {
	width: 95%;
	border: 2px solid #dedede;
	background-color: #f1f1f1;
	border-radius: 5px;
	padding: 10px;
	margin: 10px 0;
	color: #555;
}  

.answer::after {
	content: "";
	clear: both;
	display: table;
}

/* Forum */

/* User */

.userinfo img{
	float: right;
	height: 99px;
	width: auto;
	border: 1px solid black;
}

.userinfo::after{
	content: "";
	clear: both;
	display: table;
}

/* User */

/* Dropdown Menu */

.dropdown-content a {
	color: white;
	padding: 12px 5px;
	text-decoration: none;
	text-align: left;
	margin-bottom: 5px;
	opacity: 0;
	visibility: hidden;
}

.dropdown-content {
	max-height: 0%;
	position: absolute;
	background-color: #333;
	max-width: 130px;
	box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
	border-bottom-left-radius: 5px;
	border-bottom-right-radius: 5px;
	z-index: 3;
	transition: all 1s;
}

li.dropdown {
	display: inline-block;
}
  
.dropdown-content a:hover {
	background-color: transparent;
}
  
.dropdown:hover .dropdown-content {
	max-height: 100%;
}

.dropdown:hover .dropdown-content a{
	visibility: visible;
	opacity: 1;
}

/* Dropdown Menu */

/*Material Icons*/

/* fallback */
@font-face {
	font-family: 'Material Icons';
	font-style: normal;
	font-weight: 400;
	src: url(https://fonts.gstatic.com/s/materialicons/v48/flUhRq6tzZclQEJ-Vdg-IuiaDsNc.woff2) format('woff2');
}
  
.material-icons {
	font-family: 'Material Icons';
	font-weight: normal;
	font-style: normal;
	font-size: 24px;
	padding: 0px;
	line-height: 1;
	letter-spacing: normal;
	text-transform: none;
	display: inline-block;
	white-space: nowrap;
	word-wrap: normal;
	direction: ltr;
	-moz-font-feature-settings: 'liga';
	-moz-osx-font-smoothing: grayscale;
}
/*Material Icons*/